---
title: expiration
slug: Web/API/MediaKeySession/expiration
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySession
  - NeedsExample
  - Property
  - Reference
  - expiration
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code><strong>MediaKeySession.expiration</strong></code> read-only property returns the time after which the keys in the current session can no longer be used to decrypt media data, or NaN if no such time exists. This value is determined by the CDM and measured in milliseconds since January 1, 1970, UTC. This value may change during a session lifetime, such as when an action triggers the start of a window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>expirationTime</var> = <var>mediaKeySessionObj</var>.expiration;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysession-expiration', 'expiration')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.expiration")}}</p>
</div>
